- [HTTP request](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets.links/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets.links/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets.links/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets.links/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets.links/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets.links/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets.links/patch#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets.links/patch#try-it)

Update a link.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast2 asia-southeast3 australia-southeast2 europe-north2 europe-west1 europe-west3 europe-west4 europe-west6 europe-west8 me-central1 northamerica-northeast2 northamerica-south1 southamerica-west1 us-central1 us-east1 us-east5 us-south1 us-west1 us-west2 us-west3 asia-northeast1 asia-southeast1 australia-southeast1 europe-central2 europe-north1 europe-southwest1 europe-west10 europe-west12 europe-west2 europe-west9 me-central2 me-west1 northamerica-northeast1 southamerica-east1 us-east4 us-west4 us eu   
`PATCH https://observability.googleapis.com/v1/{link.name=projects/*/locations/*/buckets/*/datasets/*/links/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `link.name` | `string` Identifier. Name of the link. The format is: projects/[PROJECT_ID]/locations/[LOCATION]/buckets/[BUCKET_ID]/datasets/[DATASET_ID]/links/[LINK_ID] |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets.links#Link`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/folders.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `observability.links.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).